petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscViewerVTKAddField

Add a field to the viewer

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerVTKAddField(PetscViewer viewer,PetscObject dm,PetscErrorCode (*PetscViewerVTKWriteFunction)(PetscObject,PetscViewer),PetscViewerVTKFieldType fieldtype,PetscObject vec)

Collective

### Input Arguments

| viewer | - VTK viewer
| dm | - DM on which Vec lives
| PetscViewerVTKWriteFunction | - function to write this Vec
| fieldtype | - Either PETSC_VTK_POINT_FIELD or PETSC_VTK_CELL_FIELD
| vec | - Vec to write

### Note

This routine keeps exclusive ownership of the Vec. The caller should not use or destroy the Vec after adding it.

### See Also

PetscViewerVTKOpen(), DMDAVTKWriteAll(), PetscViewerVTKWriteFunction

Level:developer
Location:src/sys/classes/viewer/impls/vtk/vtkv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages